AMDISPLAY(4)

NAME
amdisplay, nxphdmi - Texas Instruments AM335x LCD display driver

SYNOPSIS
amdisplay* at simplebus0
nxphdmi* at iic*
wsdisplay* at amdisplay*

DESCRIPTION
The amdisplay driver supports the LCD controller integrated in Texas Instruments' line of AM335x SoCs. The LCDC reads a framebuffer from memory via DMA and scans it out at the proper frequency to suit a display (along with the neccesary hsync/vsync/etc. signals) to a PHY transmitter. The BeagleBone Black uses NXP/Freescale's TDA19988 HDMI transmitter, which is additionally supported by the nxphdmi driver.

SEE ALSO
intro(4), wsdisplay(4), wsfb(4)

HISTORY
The amdisplay driver first appeared in OpenBSD 6.2.

AUTHORS
-nosplit The amdisplay driver was written by Ian Sutton <ians@openbsd.org>. The nxphdmi driver was written by Oleksandr Tymoshenko <gonzo@freebsd.org> and later ported to OpenBSD.

CAVEATS
On the BeagleBone Black, the LCDC and onboard eMMC NAND chip share the same set of pads such that only one can be wired and used at a time. To boot from or use the onboard storage, disable amdisplay via config(8) in the kernel.

A display must be attached at boot time, otherwise amdisplay will fail to configure.

Hotplugging is not supported.

Only 16-bit color depth is supported due to a silicon bug.